# Uses of Class
com.databend.jdbc.DatabendClientLoadBalancingPolicy

Packages that use DatabendClientLoadBalancingPolicy
Package
Description
com.databend.jdbc

## Uses of DatabendClientLoadBalancingPolicy in com.databend.jdbc

Fields in com.databend.jdbc declared as DatabendClientLoadBalancingPolicy
Modifier and Type
Field
Description
`protected DatabendClientLoadBalancingPolicy`
DatabendNodes.`policy`
Methods in com.databend.jdbc that return DatabendClientLoadBalancingPolicy
Modifier and Type
Method
Description
`DatabendClientLoadBalancingPolicy`
DatabendNodeRouter.`getPolicy()`
Get load balancing policy
`DatabendClientLoadBalancingPolicy`
DatabendNodes.`getPolicy()`
Methods in com.databend.jdbc with parameters of type DatabendClientLoadBalancingPolicy
Modifier and Type
Method
Description
`void`
DatabendNodes.`updatePolicy(DatabendClientLoadBalancingPolicy policy)`
Constructors in com.databend.jdbc with parameters of type DatabendClientLoadBalancingPolicy
Modifier
Constructor
Description
``
`DatabendNodes(List<URI> queryNodesUris, DatabendClientLoadBalancingPolicy policy, String UriPath, String UriQuery, String UriFragment, long discoveryInterval)`